Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class PAPFormattedDiskPage

    java.lang.Object
      org.apache.poi.hwpf.model.FormattedDiskPage
          org.apache.poi.hwpf.model.PAPFormattedDiskPage

    public final class PAPFormattedDiskPage

extends FormattedDiskPage

Represents a PAP FKP. The style properties for paragraph and character runs are stored in fkps. There are PAP fkps for paragraph properties and CHP fkps for character run properties. The first part of the fkp for both CHP and PAP fkps consists of an array of 4 byte int offsets in the main stream for that Paragraph's or Character run's text. The ending offset is the next value in the array. For example, if an fkp has X number of Paragraph's stored in it then there are (x + 1) 4 byte ints in the beginning array. The number X is determined by the last byte in a 512 byte fkp. CHP and PAP fkps also store the compressed styles(grpprl) that correspond to the offsets on the front of the fkp. The offset of the grpprls is determined differently for CHP fkps and PAP fkps.

Author:
  Ryan Ackley

Constructor Summary
`PAPFormattedDiskPage()`
`PAPFormattedDiskPage(byte[] dataStream)` Deprecated. Use `PAPFormattedDiskPage()` instead
`PAPFormattedDiskPage(byte[] documentStream, byte[] dataStream, int offset, CharIndexTranslator translator)` Creates a PAPFormattedDiskPage from a 512 byte array
`PAPFormattedDiskPage(byte[] documentStream, byte[] dataStream, int offset, int fcMin, TextPieceTable tpt)` Deprecated. Use `PAPFormattedDiskPage(byte[], byte[], int, CharIndexTranslator)` instead

Method Summary
`void` | `fill(java.util.List filler)` Fills the queue for writing.
`PAPX` | `getPAPX(int index)` Gets the PAPX at index.
`java.util.List` | `getPAPXs()`

Methods inherited from class org.apache.poi.hwpf.model.FormattedDiskPage
`size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PAPFormattedDiskPage

    public PAPFormattedDiskPage(byte[] dataStream)

  Deprecated. Use `PAPFormattedDiskPage()` instead

### PAPFormattedDiskPage

    public PAPFormattedDiskPage()

### PAPFormattedDiskPage

    public PAPFormattedDiskPage(byte[] documentStream,
                                byte[] dataStream,
                                int offset,
                                int fcMin,
                                TextPieceTable tpt)

  Deprecated. Use `PAPFormattedDiskPage(byte[], byte[], int, CharIndexTranslator)` instead

  Creates a PAPFormattedDiskPage from a 512 byte array

### PAPFormattedDiskPage

    public PAPFormattedDiskPage(byte[] documentStream,
                                byte[] dataStream,
                                int offset,
                                CharIndexTranslator translator)

  Creates a PAPFormattedDiskPage from a 512 byte array

Method Detail

### fill

    public void fill(java.util.List filler)

  Fills the queue for writing.

  Parameters:
    `filler` - a List of PAPXs

### getPAPX

    public PAPX getPAPX(int index)

  Gets the PAPX at index.

  Parameters:
    `index` - The index to get the PAPX for.
  Returns:
    The PAPX at index.

### getPAPXs

    public java.util.List getPAPXs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD